<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: WDT Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">WDT Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../df/dd9/group___n_a_n_o1_x2___w_d_t___driver.html">WDT Driver</a> &raquo; <a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">WDT Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for WDT Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad8_2d9d_2group______n__a__n__o1__x2______w__d__t______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga1dfc74e1dc2191290cafe393e7f4eda8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dfc74e1dc2191290cafe393e7f4eda8">WDT_CLEAR_RESET_FLAG</a>()</td></tr>
<tr class="memdesc:ga1dfc74e1dc2191290cafe393e7f4eda8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear WDT time-out reset system flag.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dfc74e1dc2191290cafe393e7f4eda8">More...</a><br /></td></tr>
<tr class="separator:ga1dfc74e1dc2191290cafe393e7f4eda8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16c65c2211c5071873a7651183044893"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16c65c2211c5071873a7651183044893">WDT_CLEAR_TIMEOUT_INT_FLAG</a>()</td></tr>
<tr class="memdesc:ga16c65c2211c5071873a7651183044893"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear WDT time-out interrupt flag.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16c65c2211c5071873a7651183044893">More...</a><br /></td></tr>
<tr class="separator:ga16c65c2211c5071873a7651183044893"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16005b63d605513449d1309bac67ebd2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16005b63d605513449d1309bac67ebd2">WDT_CLEAR_TIMEOUT_WAKEUP_FLAG</a>()</td></tr>
<tr class="memdesc:ga16005b63d605513449d1309bac67ebd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear WDT time-out wake-up system flag.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16005b63d605513449d1309bac67ebd2">More...</a><br /></td></tr>
<tr class="separator:ga16005b63d605513449d1309bac67ebd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6b16a3819e767164baea0f15a589c699"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6b16a3819e767164baea0f15a589c699">WDT_GET_RESET_FLAG</a>()</td></tr>
<tr class="memdesc:ga6b16a3819e767164baea0f15a589c699"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro indicate WDT time-out to reset system or not.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6b16a3819e767164baea0f15a589c699">More...</a><br /></td></tr>
<tr class="separator:ga6b16a3819e767164baea0f15a589c699"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga145a9deb3b6fc638f4f1dd840335d0b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga145a9deb3b6fc638f4f1dd840335d0b7">WDT_GET_TIMEOUT_INT_FLAG</a>()</td></tr>
<tr class="memdesc:ga145a9deb3b6fc638f4f1dd840335d0b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro indicate WDT time-out interrupt occurred or not.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga145a9deb3b6fc638f4f1dd840335d0b7">More...</a><br /></td></tr>
<tr class="separator:ga145a9deb3b6fc638f4f1dd840335d0b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga666b1e936d4a59736a2b689438e7edc1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666b1e936d4a59736a2b689438e7edc1">WDT_GET_TIMEOUT_WAKEUP_FLAG</a>()</td></tr>
<tr class="memdesc:ga666b1e936d4a59736a2b689438e7edc1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro indicate WDT time-out waked system up or not.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666b1e936d4a59736a2b689438e7edc1">More...</a><br /></td></tr>
<tr class="separator:ga666b1e936d4a59736a2b689438e7edc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab8ac835baa6227e84ae08a200b172069"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab8ac835baa6227e84ae08a200b172069">WDT_RESET_COUNTER</a>()</td></tr>
<tr class="memdesc:gab8ac835baa6227e84ae08a200b172069"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to reset 18-bit WDT counter.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab8ac835baa6227e84ae08a200b172069">More...</a><br /></td></tr>
<tr class="separator:gab8ac835baa6227e84ae08a200b172069"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga1a09e4e0c786c9151da6d6bd6acccfe9"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a09e4e0c786c9151da6d6bd6acccfe9">WDT_Close</a> (void)</td></tr>
<tr class="memdesc:ga1a09e4e0c786c9151da6d6bd6acccfe9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stops WDT counting and disable WDT module.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a09e4e0c786c9151da6d6bd6acccfe9">More...</a><br /></td></tr>
<tr class="separator:ga1a09e4e0c786c9151da6d6bd6acccfe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacbd76367340dd97ffd998c242cb5fa93"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacbd76367340dd97ffd998c242cb5fa93">WDT_EnableInt</a> (void)</td></tr>
<tr class="memdesc:gacbd76367340dd97ffd998c242cb5fa93"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the WDT time-out interrupt.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacbd76367340dd97ffd998c242cb5fa93">More...</a><br /></td></tr>
<tr class="separator:gacbd76367340dd97ffd998c242cb5fa93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd4cf6bfba1e1ac1b61bd3be7feb3bdd"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd4cf6bfba1e1ac1b61bd3be7feb3bdd">WDT_DisableInt</a> (void)</td></tr>
<tr class="memdesc:gafd4cf6bfba1e1ac1b61bd3be7feb3bdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the WDT time-out interrupt.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd4cf6bfba1e1ac1b61bd3be7feb3bdd">More...</a><br /></td></tr>
<tr class="separator:gafd4cf6bfba1e1ac1b61bd3be7feb3bdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae150a7a3e9d1e05a12fc6fd81af68a04"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a> (uint32_t u32TimeoutInterval, uint32_t u32ResetDelay, uint32_t u32EnableReset, uint32_t u32EnableWakeup)</td></tr>
<tr class="memdesc:gae150a7a3e9d1e05a12fc6fd81af68a04"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make WDT module start counting with different time-out interval.  <a href="../../d8/d9d/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">More...</a><br /></td></tr>
<tr class="separator:gae150a7a3e9d1e05a12fc6fd81af68a04"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga1dfc74e1dc2191290cafe393e7f4eda8" name="ga1dfc74e1dc2191290cafe393e7f4eda8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1dfc74e1dc2191290cafe393e7f4eda8">&#9670;&nbsp;</a></span>WDT_CLEAR_RESET_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT_CLEAR_RESET_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro clear WDT time-out reset system flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00059">59</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<a id="ga16c65c2211c5071873a7651183044893" name="ga16c65c2211c5071873a7651183044893"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga16c65c2211c5071873a7651183044893">&#9670;&nbsp;</a></span>WDT_CLEAR_TIMEOUT_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT_CLEAR_TIMEOUT_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro clear WDT time-out interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00067">67</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<a id="ga16005b63d605513449d1309bac67ebd2" name="ga16005b63d605513449d1309bac67ebd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga16005b63d605513449d1309bac67ebd2">&#9670;&nbsp;</a></span>WDT_CLEAR_TIMEOUT_WAKEUP_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT_CLEAR_TIMEOUT_WAKEUP_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro clear WDT time-out wake-up system flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00075">75</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<a id="ga6b16a3819e767164baea0f15a589c699" name="ga6b16a3819e767164baea0f15a589c699"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6b16a3819e767164baea0f15a589c699">&#9670;&nbsp;</a></span>WDT_GET_RESET_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT_GET_RESET_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro indicate WDT time-out to reset system or not. </p>
<dl class="section return"><dt>Returns</dt><dd>WDT reset system or not </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>WDT did not cause system reset </td></tr>
    <tr><td class="paramname">1</td><td>WDT caused system reset </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00084">84</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<a id="ga145a9deb3b6fc638f4f1dd840335d0b7" name="ga145a9deb3b6fc638f4f1dd840335d0b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga145a9deb3b6fc638f4f1dd840335d0b7">&#9670;&nbsp;</a></span>WDT_GET_TIMEOUT_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT_GET_TIMEOUT_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro indicate WDT time-out interrupt occurred or not. </p>
<dl class="section return"><dt>Returns</dt><dd>WDT time-out interrupt occurred or not </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>WDT time-out interrupt did not occur </td></tr>
    <tr><td class="paramname">1</td><td>WDT time-out interrupt occurred </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00093">93</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<a id="ga666b1e936d4a59736a2b689438e7edc1" name="ga666b1e936d4a59736a2b689438e7edc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga666b1e936d4a59736a2b689438e7edc1">&#9670;&nbsp;</a></span>WDT_GET_TIMEOUT_WAKEUP_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT_GET_TIMEOUT_WAKEUP_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro indicate WDT time-out waked system up or not. </p>
<dl class="section return"><dt>Returns</dt><dd>WDT time-out waked system up or not </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>WDT did not wake up system </td></tr>
    <tr><td class="paramname">1</td><td>WDT waked up system </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00102">102</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<a id="gab8ac835baa6227e84ae08a200b172069" name="gab8ac835baa6227e84ae08a200b172069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab8ac835baa6227e84ae08a200b172069">&#9670;&nbsp;</a></span>WDT_RESET_COUNTER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT_RESET_COUNTER</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to reset 18-bit WDT counter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>If WDT is activated and enabled to reset system, software must reset WDT counter before WDT time-out plus reset delay reached. Or WDT generate a reset signal. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00112">112</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga1a09e4e0c786c9151da6d6bd6acccfe9" name="ga1a09e4e0c786c9151da6d6bd6acccfe9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1a09e4e0c786c9151da6d6bd6acccfe9">&#9670;&nbsp;</a></span>WDT_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void WDT_Close </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function stops WDT counting and disable WDT module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00119">119</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<a id="gafd4cf6bfba1e1ac1b61bd3be7feb3bdd" name="gafd4cf6bfba1e1ac1b61bd3be7feb3bdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafd4cf6bfba1e1ac1b61bd3be7feb3bdd">&#9670;&nbsp;</a></span>WDT_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void WDT_DisableInt </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disables the WDT time-out interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00141">141</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<a id="gacbd76367340dd97ffd998c242cb5fa93" name="gacbd76367340dd97ffd998c242cb5fa93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacbd76367340dd97ffd998c242cb5fa93">&#9670;&nbsp;</a></span>WDT_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void WDT_EnableInt </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enables the WDT time-out interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d0/de2/wdt_8h_source.html#l00130">130</a> of file <a class="el" href="../../d0/de2/wdt_8h_source.html">wdt.h</a>.</p>

</div>
</div>
<a id="gae150a7a3e9d1e05a12fc6fd81af68a04" name="gae150a7a3e9d1e05a12fc6fd81af68a04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae150a7a3e9d1e05a12fc6fd81af68a04">&#9670;&nbsp;</a></span>WDT_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void WDT_Open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TimeoutInterval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ResetDelay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32EnableReset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32EnableWakeup</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function make WDT module start counting with different time-out interval. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TimeoutInterval</td><td>Time-out interval period of WDT module. Valid values are:<ul>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40d302804bb9f2ee0bf28caac9b7b82b">WDT_TIMEOUT_2POW4</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga199a40282f99161bab7c7b9e0a3e900f">WDT_TIMEOUT_2POW6</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabaad8360992525da5c86b267e2900c04">WDT_TIMEOUT_2POW8</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab04478b5a13afdedd001d22212e40716">WDT_TIMEOUT_2POW10</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc2b0af3ecf6be71ebb2ef0584560eb1">WDT_TIMEOUT_2POW12</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2c19cd50d5344568bc43f1d324ca5917">WDT_TIMEOUT_2POW14</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d8419a9bcdd7b94c2c03ad9a89788c7">WDT_TIMEOUT_2POW16</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga48e0f9050a0b74cfd0679bc04233fad2">WDT_TIMEOUT_2POW18</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ResetDelay</td><td>Reset delay period while WDT time-out happened. Valid values are:<ul>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6392efe510e280993bcc4a37c2276104">WDT_RESET_DELAY_3CLK</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4657559bffe8d11895453876c330aac">WDT_RESET_DELAY_18CLK</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga390a970080cb5f9d26f00d27f785e856">WDT_RESET_DELAY_130CLK</a></li>
<li><a class="el" href="../../d8/d21/group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf9da89755817d8650a63dfe146c0ed6b">WDT_RESET_DELAY_1026CLK</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32EnableReset</td><td>Enable WDT reset system function. Valid values are TRUE and FALSE </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32EnableWakeup</td><td>Enable WDT wake-up system function. Valid values are TRUE and FALSE </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../db/d1a/wdt_8c_source.html#l00047">47</a> of file <a class="el" href="../../db/d1a/wdt_8c_source.html">wdt.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
